Bug 1268823 - Rebuild perl-Devel-Cover against the latest perl in stable branches
Rebuild perl-Devel-Cover against the latest perl in stable branches
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-Devel-Cover (Show other bugs)
21
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 07:45 EDT by Petr Šabata
Modified: 2015-10-26 09:24 EDT (History)
2 users (show)

See Also:
Fixed In Version: perl-Devel-Cover-1.03-6.fc21 perl-Devel-Cover-1.17-2.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-26 09:19:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Petr Šabata 2015-10-05 07:45:09 EDT
Description of problem:
Devel::Cover complains it was built against a different version of perl in both f21 and f22.  This is because both perls were updated to the latest revisions.

* f21 D::C was built against 5.18.2 but f21 ships 5.18.4 now
* f22 D::C was built against 5.20.2 but f22 ships 5.20.3 now

Version-Release number of selected component (if applicable):
perl-Devel-Cover-1.03-5.fc21.x86_64
perl-Devel-Cover-1.17-1.fc22.x86_64

How reproducible:
Always.

Steps to Reproduce:
Run `cover -test' on any module, e.g.:
1. fedpkg clone perl-File-Temp && cd perl-File-Temp
2. fedpkg prep && cd File-Temp-*
3. perl Makefile.PL && cover -test

Actual results:
t/00-report-prereqs.t .. 
This version of Devel::Cover was built with Perl version 5.018002.
It is now being run with Perl version 5.018004.
Attempting to make adjustments, but you may find that some of your modules do
not have coverage data collected.  You may need to alter the +-inc, +-ignore
and +-select options.

Expected results:
cover runs without any warnings and possible unexpected breakage.

Additional info:
Simple rebuilds should be sufficient.
Comment 1 Fedora Update System 2015-10-05 10:47:45 EDT
perl-Devel-Cover-1.03-6.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-09fc819bca
Comment 2 Fedora Update System 2015-10-05 21:07:56 EDT
perl-Devel-Cover-1.17-2.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Devel-Cover'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-818a20a4e8
Comment 3 Fedora Update System 2015-10-06 13:20:47 EDT
perl-Devel-Cover-1.03-6.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Devel-Cover'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-09fc819bca
Comment 4 Fedora Update System 2015-10-26 09:19:32 EDT
perl-Devel-Cover-1.03-6.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2015-10-26 09:24:20 EDT
perl-Devel-Cover-1.17-2.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.